Ziele
GET https://flowlite.eu/api/goals/
curl --request GET \
--url 'https://flowlite.eu/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://flowlite.eu/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional Integer | |
| type | Optional String | Erlaubte Werte: pageview , custom |
| search | Optional String | Suchbegriff. |
| search_by | Optional String | Feld, in dem gesucht wird. Erlaubte Werte: name, path, key. |
| order_by | Optional String | Feld, nach dem sortiert wird. Erlaubte Werte: goal_id, last_datetime, datetime, name, path, key. |
| order_type | Optional String | Sortierreihenfolge: ASC (aufsteigend) oder DESC (absteigend). |
| page | Optional Integer | Seitenzahl der Ergebnisse (Standard: 1). |
| results_per_page | Optional Integer | Anzahl Ergebnisse pro Seite. Erlaubte Werte: 10 , 25 , 50 , 100 , 250 , 500 , 1000 (Standard: 25). |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-04-14 04:20:30",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://flowlite.eu/api/goals?page=1",
"last": "https://flowlite.eu/api/goals?page=1",
"next": null,
"prev": null,
"self": "https://flowlite.eu/api/goals?page=1"
}
}
GET https://flowlite.eu/api/goals/{goal_id}
curl --request GET \
--url 'https://flowlite.eu/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://flowlite.eu/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-04-14 04:20:30",
"last_datetime": null
}
}
POST https://flowlite.eu/api/goals
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Erforderlich Integer | - |
| type | Erforderlich String | Erlaubte Werte: pageview , custom |
| name | Erforderlich String | - |
| path | Optional String | Verfügbar wenn: type = pageview |
| key | Optional String | - |
curl --request POST \
--url 'https://flowlite.eu/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-04-14 04:20:30' \
--url 'https://flowlite.eu/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-04-14 04:20:30' \
{
"data": {
"id": 1
}
}
POST https://flowlite.eu/api/goals/{goal_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional Integer | - |
| type | Optional String | Erlaubte Werte: pageview , custom |
| name | Optional String | - |
| path | Optional String | Verfügbar wenn: type = pageview |
| key | Optional String | - |
curl --request POST \
--url 'https://flowlite.eu/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://flowlite.eu/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://flowlite.eu/api/goals/{goal_id}
curl --request DELETE \
--url 'https://flowlite.eu/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://flowlite.eu/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \